Skip to main content
GET
/
test-sets
/
{test_set_id}
Get test set
curl --request GET \
  --url https://api.coval.dev/v1/test-sets/{test_set_id} \
  --header 'X-API-Key: <api-key>'
{
  "test_set": {
    "name": "test-sets/abc12345",
    "id": "abc12345",
    "slug": "customer-support-scenarios",
    "display_name": "Customer Support Scenarios",
    "description": "Test cases for customer support agent",
    "test_set_type": "SCENARIO",
    "test_set_metadata": {
      "category": "support",
      "priority": "high"
    },
    "parameters": {
      "customer_name": [
        "Alice",
        "Bob"
      ],
      "issue_type": [
        "billing",
        "technical"
      ]
    },
    "test_case_count": 42,
    "create_time": "2025-10-14T12:00:00Z",
    "update_time": "2025-10-15T14:30:00Z"
  }
}

Authorizations

X-API-Key
string
header
required

Organization API key for authentication

Path Parameters

test_set_id
string
required

Test set ID (8-character ID)

Required string length: 8

Response

Successful response

test_set
object

Test set resource representation.